Bug 64994 - "Cannot append data to that file" Error
"Cannot append data to that file" Error
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-15 15:10 EDT by Thomas J. Baker
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-20 16:07:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas J. Baker 2002-05-15 15:10:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020502

Description of problem:
Cron runs  /usr/lib/sa/sa1 1 1 every 10 minutes and I keep getting the error
"Cannot append data to that file". I've removed the /var/log/sa/sa15 and it
works for a while but then eventually comes back with the same "Cannon append"

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1./usr/lib/sa/sa1 1 1 runs automatically from cron every 10 minutes

Actual Results:  The cron job reports an error of "Cannot append data to that file".

Expected Results:  The cron job runs silently.

Additional info:

I've rebooted a couple of times today for various reasons. I don't know if
that's contributing or not.
Comment 1 Trond Eivind Glomsrxd 2002-06-17 17:37:21 EDT
Still a problem with 4.0.5-1 from http://people.redhat.com/teg/sysstat/ ?
Comment 2 Thomas J. Baker 2002-06-20 16:06:56 EDT
Sorry for not updating this bug but the problem went away. I don't know what
exactly fixed it but I no longer have the problem.
Comment 3 Joseph Kotran 2002-07-05 17:39:46 EDT

I experienced the same trouble reported in this bug report.  The problem is that
I changed my system clock time after the sa1 utility created a log file.  The
work around is to delete /var/log/sa/sa`date +%d`.


Joe Kotran

Note You need to log in before you can comment on or make changes to this bug.